# encording with UTF-8

#
# 9章 レポートの作成
#

# ワーキング・ディレクトリの設定
# C:\EconDat\9_report
setwd("C:/EconDat/9_report")

# read the data file
# データの入力されたcsvファイルの読み込み
df_survey <- read.csv("../data/student_survey2018/student_survey2018_data.csv", header=TRUE)
str(df_survey)
head(df_survey) 
tail(df_survey)

# 男性ダミー変数 male dummy
df_survey$male[df_survey$Q2=="男性"]<-1
df_survey$male[df_survey$Q2=="女性"]<-0
summary(df_survey$male)

# 留学生ダミー変数 international student dummy
df_survey$international_st[df_survey$Q6=="留学生である。"]<-1
df_survey$international_st[df_survey$Q6=="留学生ではない。"]<-0

# アルバイトダミー変数 Part time job dummy
df_survey$part_job_d[df_survey$Q42=="している"]<-1
df_survey$part_job_d[df_survey$Q42=="していない"]<-0


# 学年
df_survey$school_year <- df_survey$Q4
summary(df_survey$school_year)

# データの変更
df_survey$school_year[df_survey$school_year=='5年'] <-NA
df_survey$school_year[df_survey$school_year=='修士課程2年'] <-NA
df_survey$school_year[df_survey$school_year=='博士後期課程3年'] <-NA
df_survey$school_year[df_survey$school_year=='教員'] <-NA
summary(df_survey$school_year)


## 学年ダミー変数

## level関数によるデータの確認
levels(df_part_job$school_year)

# 1年生ダミー変数 first-year student
df_survey$year_1[df_survey$school_year=="1年"]<-1
df_survey$year_1[df_survey$school_year!="1年"]<-0

# 2年生ダミー変数 second-year student
df_survey$year_2[df_survey$school_year=="2年"]<-1
df_survey$year_2[df_survey$school_year!="2年"]<-0

# 3年生ダミー変数 third-year student
df_survey$year_3[df_survey$school_year=="3年"]<-1
df_survey$year_3[df_survey$school_year!="3年"]<-0

# 4年生ダミー変数 fourth-year student
df_survey$year_4[df_survey$school_year=="4年"]<-1
df_survey$year_4[df_survey$school_year!="4年"]<-0


#  アルバイト就業の線形確率モデル

##　アルバイト分析用データフレーム
df_part_job <- data.frame(id=df_survey$id, part_job_d=df_survey$part_job_d, male=df_survey$male, international_st=df_survey$international_st, 
                          school_year, year_1=df_survey$year_1, year_2=df_survey$year_2, year_3=df_survey$year_3, year_4=df_survey$year_4)
#データの確認
head(df_part_job)

#欠損値の含む観測値を除去
df_part_job <- na.omit(df_part_job)
#データの確認
head(df_part_job)


#
# 9.2-4 Rの分析結果からの表の作成
#
# パッケージの利用
#

#パッケージのインストール< 1度実行すればよい>
# install.packages("stargazer")
#パッケージの読み込み
library("stargazer") 

## 記述統計分析表の作成

stargazer(df_part_job, type="text")


## 回帰分析

part_job_result_1 <- lm(part_job_d~ male +international_st , df_part_job)
summary(part_job_result_1)

# 学年ダミー変数を追加した場合
part_job_result_2 <- lm(part_job_d~ male +international_st +year_2 +year_3 +year_4 , df_part_job)
summary(part_job_result_2)

part_job_result_2a <- lm(part_job_d~ male +international_st +school_year , df_part_job)
summary(part_job_result_2a)


#推定結果まとめ
stargazer(part_job_result_1, part_job_result_2, type="text")
